Subject: Re: linux-next: manual merge of the vfs-brauner tree with the nfsd tree

From: Chuck Lever <[email-masked]>
Date: Thu, 28 May 2026 11:34:24 -0400

On 5/28/26 11:01 AM, Mark Brown wrote:
> On Thu, May 28, 2026 at 10:51:58AM -0400, Chuck Lever wrote:
> 
>> 1. I might create my own merged branch that grabs only the three vfs.
>>    branches I need. Cons: I've never done this before, I'm not certain
>>    my tool chain (StGit) supports git merge, and it tangles the merge
>>    graph even more than it already is.
> 
> You could always create this independently of your usual tooling and use
> it as a base like something that someone else had created?  I don't know
> StGit but I have similar stuff with my own tooling sometimes.

I've updated nfsd-next so it is based on a merge of the three
prerequisite vfs/ topic branches plus v7.1-rc5 using the mechanism you
suggested. Please give it a try.

-- 
Chuck Lever